diff --git a/build/data.mk b/build/data.mk
index 8896d68..1084358 100644
--- a/build/data.mk
+++ b/build/data.mk
@@ -39,8 +39,20 @@ define $(BASE_DIR)/0music.pk3
 	music/*.ogg
 endef
 
+# those map files were not included in initial 2.5 release and should be packaged separately
+MAPS_ABSENT := \
+	maps/mine.bsp \
+	maps/office.bsp \
+	maps/village2/vil_sc_nw01.bsp \
+	maps/village2/vil_b2x2_house09.bsp \
+	maps/village2/vil_sc_ne01.bsp
+
 define $(BASE_DIR)/0maps.pk3
-	-r maps/*.bsp maps/*.ump
+	-r maps/*.bsp maps/*.ump $(addprefix -x,$(MAPS_ABSENT))
+endef
+
+define $(BASE_DIR)/1maps.pk3
+	$(MAPS_ABSENT)
 endef
 
 define $(BASE_DIR)/0videos.pk3
diff --git a/build/pk3_def.mk b/build/pk3_def.mk
index f6dc279..07edfb6 100644
--- a/build/pk3_def.mk
+++ b/build/pk3_def.mk
@@ -3,6 +3,7 @@ PAK_FILES = 0pics.pk3	\
 			0snd.pk3	\
 			0music.pk3	\
 			0maps.pk3	\
+			1maps.pk3	\
 			0media.pk3	\
 			0ufos.pk3	\
 			0materials.pk3	\
